@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet"/>
@stop
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                تعديل بيانات {{ $module_name }}
                            </b>
                            <hr>
                        </h4>
                        {!! Form::model($row, ['method'=>'patch','name'=>'update', 'files'=>true, 'route'=>[$route.'.update_setting', $row->id], 'class' => 'form-horizontal form-row-seperated']) !!}
                        {!! Form::hidden('id', $row->id) !!}
                        <div class="row">
                            <div class="col-md-6">

                                <div>
                                    <label for="title">رقم الجوال</label>
                                    {!! Form::text('phone', $row->meta['phone'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('phone'))
                                        <small class="text-danger">{{ $errors->first('phone') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">البريد الالكترونى</label>
                                    {!! Form::text('email', $row->meta['email'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('email'))
                                        <small class="text-danger">{{ $errors->first('email') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">العنوان بالعربية</label>
                                    {!! Form::textarea('address_ar', $row->meta['address']['ar'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('address_ar'))
                                        <small class="text-danger">{{ $errors->first('address_ar') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">العنوان بالانجليزية</label>
                                    {!! Form::textarea('address_en', $row->meta['address']['en'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('address_en'))
                                        <small class="text-danger">{{ $errors->first('address_en') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">الفيس بوك</label>
                                    {!! Form::text('facebook', $row->social['facebook'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('facebook'))
                                        <small class="text-danger">{{ $errors->first('facebook') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">تويتر</label>
                                    {!! Form::text('twitter', $row->social['twitter'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('twitter'))
                                        <small class="text-danger">{{ $errors->first('twitter') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">انستجرام</label>
                                    {!! Form::text('instagram', $row->social['instagram'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('instagram'))
                                        <small class="text-danger">{{ $errors->first('instagram') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">واتس اب</label>
                                    {!! Form::text('whatsapp', $row->social['whatsapp'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('whatsapp'))
                                        <small class="text-danger">{{ $errors->first('whatsapp') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div>
                                    <label for="title">اسناب شات</label>
                                    {!! Form::text('snapchat', $row->social['snapchat'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('snapchat'))
                                        <small class="text-danger">{{ $errors->first('snapchat') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">رابط الفديو</label>
                                    {!! Form::text('video', $row->video , ['class'=>'form-control']) !!}
                                    @if ($errors->has('video'))
                                        <small class="text-danger">{{ $errors->first('video') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">النسبة</label>
                                    {!! Form::number('ratio', $row->ratio , ['class'=>'form-control']) !!}
                                    @if ($errors->has('ratio'))
                                        <small class="text-danger">{{ $errors->first('ratio') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">من نحن بالعربية</label>
                                    {!! Form::textarea('about_ar', $row->about_us['ar'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('about_ar'))
                                        <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div>
                                    <label for="title">من نحن بالانجليزية</label>
                                    {!! Form::textarea('about_en', $row->about_us['en'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('about_en'))
                                        <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">سياسة الخصوصية بالعربية</label>
                                    {!! Form::textarea('policy_ar', $row->policy['ar'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('policy_ar'))
                                        <small class="text-danger">{{ $errors->first('policy_ar') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div>
                                    <label for="title">سياسة الخصوصية بالانجليزية</label>
                                    {!! Form::textarea('policy_en', $row->policy['en'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('policy_en'))
                                        <small class="text-danger">{{ $errors->first('policy_en') }}</small>
                                    @endif
                                </div>
                                <br>

       <div>
                                    <label for="title">الذمه بالعربية</label>
                                    {!! Form::textarea('pledge_ar', $row->pledge['ar'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('pledge_ar'))
                                        <small class="text-danger">{{ $errors->first('pledge_ar') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div>
                                    <label for="title">الذمه بالانجليزية</label>
                                    {!! Form::textarea('pledge_en', $row->pledge['en'] , ['class'=>'form-control']) !!}
                                    @if ($errors->has('pledge_en'))
                                        <small class="text-danger">{{ $errors->first('pledge_en') }}</small>
                                    @endif
                                </div>
                                <br>

                            </div>
                            <div class="col-md-6">
                                <div class="white-box">
                                    <label for="input-file-now-custom-1">لوجو الموقع</label>
                                    <input name="logo" type="file" id="input-file-now-custom-1" class="dropify"
                                           @if($row->logo) data-default-file="{{asset('images/logo/'.$row->logo)}}"
                                           @else data-default-file="{{asset('panel/assets/images/logo.png')}}" @endif/>
                                    @if ($errors->has('logo'))
                                        <small class="text-danger">{{ $errors->first('logo') }}</small>
                                    @endif
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit"
                                        class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    تعديل
                                </button>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>
    <script>
        jQuery(document).ready(function () {
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
@stop