@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet"/>
@stop
@section('content')
    <div class="content">
        <div class="container">
            <!-- Page-Title -->
            <div class="card-box">

                <div class="row">

                    <div class="col-sm-12">
                        <div class="card-box table-responsive">

                            <h3>{{$single_module_name.' '.$row->name}}</h3>

                            <table id="" class="table table-striped table-bordered">
                                <thead>
                                <tr>

                                    <th>الاسم</th>
                                    <th>البريد الالكترونى</th>
                                    <th>الجوال</th>
                                    <th>رقم الهويه او الاقامة</th>
                                    <th>التقيم</th>


                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td>{{ $row->name }}</td>
                                    <td>{{ $row->email }}</td>
                                    <td>{{ $row->phone }}</td>
                                    <td>{{ $row->id_number }}</td>
                                    <td>

                                        @php
                                            $rating = \App\Models\Rating::where('user_id', $row->id)->sum('num_rate');
                                            $rating_count = \App\Models\Rating::where('user_id', $row->id)->count('num_rate');

                                        @endphp
                                        @if($rating_count == 0)
                                            0
                                        @else
                                            {{round($rating/$rating_count)}}
                                        @endif
                                    </td>
                                </tr>
                                </tbody>
                            </table>

                        </div>

                    </div>
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">

                            <h3>{{' تقيمات'.$row->name}}</h3>

                            <table id="" class="table table-striped table-bordered">
                                <thead>
                                <tr>

                                    <th>الاسم</th>
                                    <th>التعليق</th>
                                    <th>التقيم</th>
                                    <th>منذ</th>

                                    <th> التحكم</th>

                                </tr>
                                </thead>
                                <tbody>
                                @foreach($ratings as $rating_item)
                                    <tr>
                                        <td>{{ $rating_item->name }}</td>
                                        <td>{{ $rating_item->note }}</td>
                                        <td>{{ $rating_item->num_rate }}</td>

                                        <td>
                                            @php
                                                Carbon\Carbon::setLocale('ar');
                                                $since = Carbon\Carbon::parse($rating_item->created_at)->diffForHumans();
                                            @endphp
                                            {{$since}}
                                        </td>


                                        <td class="actions">
                                            <div class="row" style="margin-top: 20px">
                                                <div class="col-md-3">
                                                    {!! Form::open(['method' => 'DELETE','data-id'=>$rating_item->id, 'route' => ['comment_user',$rating_item->id],'class'=>'delete']) !!}
                                                    {!! Form::hidden('id', $rating_item->id) !!}
                                                    <button type="button"
                                                            class="btn btn-danger btn-custom waves-effect waves-light">
                                                        <i
                                                                class="fa fa-trash"></i></button>
                                                    {!! Form::close() !!}
                                                </div>

                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>

                        </div>
                    </div>

                        {{--<div class="col-sm-12">--}}
                            {{--<div class="card-box table-responsive">--}}

                                {{--<h3>{{' سندات دفع'.$row->name}}</h3>--}}

                                {{--<table id="" class="table table-striped table-bordered">--}}
                                    {{--<thead>--}}
                                    {{--<tr>--}}

                                        {{--<th>#</th>--}}
                                        {{--<th>سند الدفع</th>--}}
                                        {{--<th>منذ</th>--}}

                                        {{--<th> التحكم</th>--}}

                                    {{--</tr>--}}
                                    {{--</thead>--}}
                                    {{--<tbody>--}}
                                    {{--@php $i = 1; @endphp--}}

                                    {{--@foreach($bills as $bill_item)--}}
                                        {{--<tr>--}}
                                            {{--<td>{{$i}}</td>--}}
                                            {{--<td><img style="height: 200px;"--}}
                                                     {{--src="{{asset('images/bill/'). $bill_item->image }}">--}}
                                            {{--</td>--}}
                                            {{--<td>--}}
                                                {{--@php--}}
                                                    {{--Carbon\Carbon::setLocale('ar');--}}
                                                    {{--$since = Carbon\Carbon::parse($bill_item->created_at)->diffForHumans();--}}
                                                {{--@endphp--}}
                                                {{--{{$since}}--}}
                                            {{--</td>--}}

                                            {{--<td class="actions">--}}
                                                {{--<div class="row" style="margin-top: 20px">--}}
                                                    {{--<div class="col-md-3">--}}
                                                        {{--{!! Form::open(['method' => 'DELETE','data-id'=>$bill_item->id, 'route' => ['bill_user',$bill_item->id],'class'=>'delete']) !!}--}}
                                                        {{--{!! Form::hidden('id', $bill_item->id) !!}--}}
                                                        {{--<button type="button"--}}
                                                                {{--class="btn btn-danger btn-custom waves-effect waves-light">--}}
                                                            {{--<i--}}
                                                                    {{--class="fa fa-trash"></i></button>--}}
                                                        {{--{!! Form::close() !!}--}}
                                                    {{--</div>--}}

                                                {{--</div>--}}
                                            {{--</td>--}}
                                        {{--</tr>--}}
                                        {{--@php $i++; @endphp--}}
                                    {{--@endforeach--}}
                                    {{--</tbody>--}}
                                {{--</table>--}}

                            {{--</div>--}}
                        {{--</div>--}}

                    <div class="col-sm-12">
                        <div class="card-box table-responsive">

                            <h3>{{'حساب '.$row->name}}</h3>

                            <table id="" class="table table-striped table-bordered">
                                <thead>
                                <tr>

                                    <th>النسبة</th>
                                    <th>اجمالى الدين</th>
                                    <th>انقاص من الدين</th>

                                    {{--<th> التحكم</th>--}}

                                </tr>
                                </thead>
                                <tbody>

                                @php
                                    $pay = $row->pay;
                                    $ratio = \App\Models\Setting::value('ratio');
                                    $percentInDecimal = $ratio / 100;
                                    $req = $percentInDecimal * $pay ;
                                @endphp

                                <tr>

                                    <td>{{$ratio}} %</td>
                                    <td>{{$pay}}</td>
                                    <td>

                                        {!! Form::model($row, ['method'=>'patch','name'=>'update', 'route'=>['update_pay', $row->id], 'class' => 'form-horizontal form-row-seperated']) !!}
                                        {!! Form::number('pay_number') !!}
                                        {!! Form::hidden('id', $row->id) !!}

                                        <button type="submit"
                                                class="btn btn-danger btn-custom waves-effect waves-light">
                                            انقاص
                                        </button>
                                        {!! Form::close() !!}
                                        {{--@if($errors->any())--}}
                                        {{--<h4>{{$errors->first()}}</h4>--}}
                                        {{--@endif--}}
                                        @if($errors->any())

                                            <div class="alert alert-danger">
                                                <ul>
                                                    <li>{{$errors->first()}}</li>
                                                </ul>
                                            </div>
                                        @endif

                                    </td>


                                    {{--<td class="actions">--}}
                                    {{--<div class="row" style="margin-top: 20px">--}}
                                    {{--<div class="col-md-3">--}}
                                    {{--{!! Form::open(['method' => 'DELETE','data-id'=>$rating_item->id, 'route' => ['comment_user',$rating_item->id],'class'=>'delete']) !!}--}}
                                    {{--{!! Form::hidden('id', $rating_item->id) !!}--}}
                                    {{--<button type="button"--}}
                                    {{--class="btn btn-danger btn-custom waves-effect waves-light">--}}
                                    {{--<i--}}
                                    {{--class="fa fa-trash"></i></button>--}}
                                    {{--{!! Form::close() !!}--}}
                                    {{--</div>--}}

                                    {{--</div>--}}
                                    {{--</td>--}}
                                </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>


                </div>
            </div>
            <!-- end row -->
        </div> <!-- container -->
    </div> <!-- content -->
@endsection
@section('script')
    <script type="text/javascript">

        $(document).ready(function () {

            $('#datatable').dataTable();
            $('#datatable-keytable').DataTable({keys: true});
            $('#datatable-responsive').DataTable();
            $('#datatable-colvid').DataTable({
                "dom": 'C<"clear">lfrtip',
                "colVis": {
                    "buttonText": "Change columns"
                }
            });
            $('#datatable-scroller').DataTable({
                ajax: "public/panel/assets/plugins/datatables/json/scroller-demo.json",
                deferRender: true,
                scrollY: 380,
                scrollCollapse: true,
                scroller: true
            });
            var table = $('#datatable-fixed-header').DataTable({fixedHeader: true});
            var table = $('#datatable-fixed-col').DataTable({
                scrollY: "300px",
                scrollX: true,
                scrollCollapse: true,
                paging: false,
                fixedColumns: {
                    leftColumns: 1,
                    rightColumns: 1
                }
            });
        });
        TableManageButtons.init();

    </script>

    <script>
        $(document).on('click', '.delete', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            swal({
                    title: "هل انت متأكد من الحذف ؟",
                    text: "لن تستطيع استعادة هذا العنصر مرة أخرى!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonClass: 'btn-danger',
                    confirmButtonText: 'نعم , قم بالحذف!',
                    cancelButtonText: 'ﻻ , الغى عملية الحذف!',
                    closeOnConfirm: false,
                    closeOnCancel: false
                },
                function (isConfirm) {
                    if (isConfirm) {
                        swal("تم الحذف !", "تم حذف العنصر من قاعدة البيانات!", "success");
                        $("form[data-id='" + id + "']").submit();
                    } else {
                        swal("تم الالغاء", "ما زال العنصر متاح بقاعدة بياناتك :)", "error");
                    }
                });
        });
    </script>

@endsection
