@extends('web.layouts.app')
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>عقارات</h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">الرئيسية</a> <i class="fa fa-angle-left"></i> العقارات </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">تسجيل دخول</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">خروج</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">خروج</a></li>
            @endif
        </ul>
    </div>
@stop
@section('content')

<div class="estates">
    <div class="container">
        <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>العقارات</span></h3>
        </div><!-- title -->
        <div class="sliders">

            @foreach($buildings as $building)
                @php
                    $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                    $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                    $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => 1])->value('name');
                    $city_name = App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => 1])->value('name');
                    $district_name = App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => 1])->value('name');
                    $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => 1])->value('name');
                @endphp
                <div class="col-md-4">
                    <div class="inner">
                        <div class="img">
                            <a href="{{route('building',[$building->id,'building'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                        </div><!-- img -->

                        <div class="inner-text">
                            <h3>{{$owner_name}}</h3>
                            <ul>
                                <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                <li><i class="fa fa-facebook"></i>{{$status_name}}</li>
                            </ul>
                        </div><!-- inner-text -->
                    </div><!-- inner -->
                </div><!-- col-md-4 -->
            @endforeach
            @foreach($flats as $flat)
                @php
                    $building_name = $flat->name;
                    $image = App\Models\BuildingImage::where(['building_id' => $flat->building->id])->value('name');
                    $owner_name=App\Models\Client::where('id',$flat->building->client_id)->value('name');
                    $city_name = App\Models\CityDescription::where(['city_id' => $flat->building->district->city_id, 'language_id' => 1])->value('name');
                    $district_name = App\Models\DistrictDescription::where(['district_id' => $flat->building->district_id, 'language_id' => 1])->value('name');
                    $status_name = App\Models\BuildingStatusDescription::where(['building_status_id' => $flat->building->building_status_id, 'language_id' => 1])->value('name');
                @endphp
                <div class="col-md-4">
                    <div class="inner">
                        <div class="img">
                            <a href="{{route('building',[$building->id,'flat'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                        </div><!-- img -->

                        <div class="inner-text">
                            <h3> {{$owner_name}}</h3>
                            <ul>
                                <li><i class="fa fa-building"></i> {{$building_name}}</li>
                                <li><i class="fa fa-map-marker"></i> {{$city_name}}, {{$district_name}}</li>
                                <li><i class="fa fa-facebook"></i>{{$status_name}}</li>
                            </ul>
                        </div><!-- inner-text -->
                    </div><!-- inner -->
                </div><!-- col-md-4 -->
            @endforeach


            
        </div><!-- banner -->


    </div><!-- container -->
</div><!-- estates --> 

<!-- ======================== -->
    <!-- end estates -->
    <!-- start contact -->
<!-- ======================== -->
@endsection
